/*
 * File......: CAPLOCK.C
 * Author....: Ted Means
 * Date......: $Date:   02 Apr 1991 18:25:48  $
 * Revision..: $Revision:   1.0  $
 * Log file..: $Logfile:   E:/nanfor/src/caplock.c_v  $
 * 
 * This is an original work by Ted Means and is placed in the
 * public domain.
 *
 * Modification history:
 * ---------------------
 *
 * $Log:   E:/nanfor/src/caplock.c_v  $
 * 
 *    Rev 1.0   02 Apr 1991 18:25:48   GLENN
 * Nanforum Toolkit
 *
 */


/*  $DOC$
 *  $FUNCNAME$
 *     FT_CAPLOCK()
 *  $CATEGORY$
 *     Keyboard/Mouse
 *  $ONELINER$
 *     Determine status of CapLock key
 *  $SYNTAX$
 *     FT_CAPLOCK() -> lValue
 *  $ARGUMENTS$
 *     None
 *  $RETURNS$
 *     .T. if CapLock is set, .F. if it isn't set.
 *  $DESCRIPTION$
 *     This function is useful if you need to know the status of the CapLock
 *     key for some reason.
 *  $EXAMPLES$
 *     IF FT_CAPLOCK()
 *        Qout( "CapLock is active" )
 *     ENDIF
 *  $END$
 */

#include <extend.h>

CLIPPER FT_CAPLOCK(void)
{
   _retl( (int) ((*(char *) 0x00000417) & 0x40) );
   return;
}

