/*
 * File......: EXIST.PRG
 * Author....: Steve Kolterman
 * CIS ID....: 76320,37
 * Date......: $Date:   02 Apr 1991 18:22:50  $
 * Revision..: $Revision:   1.0  $
 * Log file..: $Logfile:   E:/nanfor/src/exist.prv  $
 * 
 * This is an original work by Steve Kolterman and is placed in the
 * public domain.
 *
 * Modification history:
 * ---------------------
 *
 * $Log:   E:/nanfor/src/exist.prv  $
*  
*     Rev 1.0   02 Apr 1991 18:22:50   GLENN
*  Nanforum Toolkit
 *
 */


/*  $DOC$
 *  $FUNCNAME$
 *     FT_EXIST()
 *  $CATEGORY$
 *     Environment
 *  $ONELINER$
 *     Test for existence of drive and/or subdirectory
 *  $SYNTAX$
 *     FT_EXIST( <cDriveDir> ) -> lResult
 *  $ARGUMENTS$
 *
 *  $RETURNS$
 *
 *  $DESCRIPTION$
 *
 *  $EXAMPLES$
 *
 *    IF FT_EXIST( "D:" )
 *       Qout("OK To Perform Operation On Drive D:") 
 *    ENDIF
 *
 *  $END$
 */


/*   Pre-processor option:
 *
 *    #translate FT_EXIST(<drv>) => ;
 *         FILE((<drv>+IF(SUBS(<drv>,-1,1)=="\","","\")+"NUL"))
 *
 */


FUNCTION FT_EXIST( cDrvDir )
  // check for "\" passed; add if necessary
  RETURN FILE(( cDrvDir + IF(SUBS( cDrvDir, -1, 1) == "\", "", "\" ) + "NUL" ) )
