; File......: NOVCONS.ASM
; Author....: David Minter
; CIS ID....: 76247,3475
; Date......: $Date:   02 Apr 1991 18:25:08  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/novcons.asv  $
;
;	This is an original work by David Minter and hereby placed into
;	the public domain.

; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/novcons.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:08   GLENN
;  Nanforum Toolkit
;
;

; $DOC$
; $FUNCNAME$ 
;    FT_CONSBROAD()
; $CATEGORY$
;    Netware
; $ONELINER$
;    Send a string to a Novell server console
; $SYNTAX$
;    FT_CONSBROAD( <cMessage> ) -> NIL
; $ARGUMENTS$
;    <cMessage> is the message to display.
; $RETURNS$
;    NIL
; $DESCRIPTION$
;    This function is used display a message to the file server console.
;    It cannot be over 60 chars in length.
; $EXAMPLES$
;    FT_CONSBROAD('*** Indexing Important Files, DON'T DOWN SERVER ***')
;    INDEX ON foo TO bar
;    FT_CONSBROAD('*** Finished Indexing Files ***')
; $END$



                include	minter.mac
		.MODEL	large, PASCAL
		.data
req_buf		dw	4
subfun		db	09
m_len		db	0
message		db	60 DUP (?)
rep_buf		dw	0
@BEGIN FT_CONSBROAD

@SAVE  	ds,es,si,di

;; ** get the parameter string

		@PARC	1

;; ** copy it to message

		mov	ds,dx				;move seq of source
		mov	si,ax				;move offset of source

		mov	ax,@data			;load seq of dest
		mov	es,ax				;
		mov	di,OFFSET message		;load offset of dest

; ** get length of parameter

		@PARCLEN 1

; ** is it greater than 60?

		mov	cx,ax				;move length to cx
		cmp	cx,60				;length > 60 ?
		jna	doit				;if so...
		mov	cx,60				;make it len

doit:		
		rep	movsb

; ***   set up the registers to Call Novell interrupt

		mov	ax,@data
		mov	ds,ax
		mov	es,ax
		mov	si,OFFSET req_buf
		mov	di,OFFSET rep_buf

		mov	ah,225
		mov	al,0

		int	21h

		@RETL	0

@RESTORE	ds,es,si,di

                ret
@END FT_CONSBROAD
