; File......: NWTTS3.ASM
; Author....: James Zack
; Date......: $Date:   02 Apr 1991 18:25:20  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/nwtts3.asv  $
; 
; This is an original work by James Zack and is placed in the
; public domain.
;
; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/nwtts3.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:20   GLENN
;  Nanforum Toolkit
;

; $DOC$
; $FUNCNAME$
;     FT_TTSBEGIN()
; $CATEGORY$
;     Netware
; $ONELINER$
;     Begin explicit transaction under Netware's TTS
; $SYNTAX$
;     FT_TTSBEGIN() -> nResult
; $ARGUMENTS$
;     None
; $RETURNS$
;       0               Success (transaction begun)
;     150               Out of dynamic workspace (not begun)
;     254               Implicit Transaction already active
;                       (active implicit transaction now converted to
;                       explicit transaction)
;     255               Explicit transaction already active
;                       (existing explicit transaction continues normally)
; $DESCRIPTION$
;    See your Netware documentation for further information about the 
;    Transaction Tracking System (TTS).
; $EXAMPLES$
;    nResult := FT_TTSBEGIN()
;    DO CASE
;       CASE nResult == 0
;          ? "Transaction begun"
;       CASE nResult == 150
;          ? "Out of dynamic workspace, transaction not begun"
;       CASE nResult == 254
;          ? "Implicit transaction already active"
;       CASE nResult == 255
;          ? "Explicit transaction already active"
;       OTHERWISE
;          ? "Unknown result"
;    ENDCASE
; $SEEALSO$
;    FT_TTSABORT() FT_TTSAVAIL() FT_TTSEND() FT_TTSSTAT()
; $END$
;
;

PUBLIC    Ft_ttsBegin
EXTRN     __RETNI:FAR
EXTRN     __RET:FAR
_NanFor  SEGMENT 'CODE'
          ASSUME cs:_NanFor
Ft_ttsBegin PROC    FAR
          push    bp
          mov     bp,sp
          push    ds
          push    es
          push    si
          push    di
          mov     ah,0c7h          ; Novell API function c7
          mov     al,00h           ; Subfunction 02
          int     21h              ; TTS Begin Transaction
          mov     ah,00h
          push    ax
          call    __RETNI
          add     sp,2
          pop     di
          pop     si
          pop     es
          pop     ds
          pop     bp
          call    __RET
          ret

Ft_ttsBegin endp

_NanFor   ends

          end
