; File......: NWTTS5.ASM
; Author....: James Zack
; Date......: $Date:   02 Apr 1991 18:25:28  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/nwtts5.asv  $
; 
; This is an original work by James Zack and is placed in the
; public domain.
;
; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/nwtts5.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:28   GLENN
;  Nanforum Toolkit
;

; $DOC$
; $FUNCNAME$
;     FT_TTSSTAT()
; $CATEGORY$
;     Netware
; $ONELINER$
;     Verify if TTS transaction has been written to disk
; $SYNTAX$
;    FT_TTSSTAT( <nTransNumber> ) -> nResult
; $ARGUMENTS$
;    <nTransNumber> is the transaction number, returned from FT_TTSEND().
; $RETURNS$
;      0       Success, transaction written to disk
;    255       Transaction not yet written to disk
; $DESCRIPTION$
;    For further information on Netware's Transaction Tracking System (TTS),
;    consult Novell's documentation.
; $EXAMPLES$
;    nResult := FT_TTSSTAT()
;    DO CASE
;       CASE nResult == 0
;          ? "Transaction wrttten to disk"
;       CASE nResult == 255
;          ? "Transaction not yet written to disk"
;       OTHERWISE
;          ? "Unknown result code"
;    ENDCASE
; $SEEALSO$
;    FT_TTSABORT() FT_TTSAVAIL() FT_TTSBEGIN() FT_TTSEND()
; $END$

PUBLIC    Ft_ttsStat
EXTRN     __PARNL:FAR
EXTRN     __RETNI:FAR
EXTRN     __RET:FAR
_NanFor   SEGMENT 'CODE'
          ASSUME cs:_NanFor
Ft_ttsStat  PROC    FAR
          push    bp
          mov     bp,sp
          push    ds
          push    es
          push    si
          push    di
          mov     ax,1
          push    ax
          call    __PARNL
          add     sp,2
          mov     cx,dx
          mov     dx,ax
          mov     ah,0c7h          ; Novell API function c7
          mov     al,04h           ; Subfunction 02
          int     21h              ; TTS Transaction Status
          mov     ah,00h
          push    ax
          call    __RETNI
          add     sp,2
          pop     di
          pop     si
          pop     es
          pop     ds
          pop     bp
          call    __RET
          ret

Ft_ttsStat  endp

_NanFor   ends

          end
