;
; File......: REBOOT.ASM
; Author....: Ted Means
; Date......: $Date:   02 Apr 1991 18:25:34  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/reboot.asv  $
; 
; This is an original work by Ted Means and is placed in the
; public domain.
;
; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/reboot.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:34   GLENN
;  Nanforum Toolkit
;
;


;  $DOC$
;  $FUNCNAME$
;      FT_REBOOT()
;  $CATEGORY$
;      DOS/BIOS
;  $ONELINER$
;      Force a warm boot
;  $SYNTAX$
;      FT_REBOOT() -> NIL
;  $ARGUMENTS$
;      None
;  $RETURNS$
;      NIL
;  $DESCRIPTION$
;      This function is valuable if you need to reboot the PC for some
;      reason; e.g. an installation routine that modifies CONFIG.SYS or
;      AUTOEXEC.BAT.
;
;      The source code is written to adhere to Turbo Assembler's IDEAL mode.
;      To use another assembler, you will need to rearrange the PROC and
;      SEGMENT directives, and also the ENDP and ENDS directives (a very
;      minor task).
;  $EXAMPLES$
;      FT_REBOOT()
;  $END$
;


         IDEAL

Public   FT_Reboot

Segment  _NanFor   Word      Public    "CODE"
         Assume    CS:_NanFor

Proc     FT_Reboot Far

         Sub       BP,4                      ; Allocate room for an address
         Mov       [Word Ptr BP - 4],0FFF0h  ; Store offset of POST routine
         Mov       [Word Ptr BP - 2],0F000h  ; Store segment of POST routine
         Xor       AX,AX                     ; Clear AX
         Mov       DS,AX                     ; Set DS to low memory
         Mov       [Word Ptr 472h],1234h     ; Indicate a warm boot
         Jmp       [DWord Ptr BP - 4]        ; Jump to POST
Endp     FT_Reboot
Ends     _NanFor
End

