; File......: RMDIR.ASM
; Author....: Ted Means
; Date......: $Date:   02 Apr 1991 18:25:36  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/rmdir.asv  $
; 
; This function is an original work by Ted Means and is placed in the
; public domain.
;
; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/rmdir.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:36   GLENN
;  Nanforum Toolkit
;
;


;  $DOC$
;  $FUNCNAME$
;      FT_RMDIR()
;  $CATEGORY$
;      DOS/BIOS
;  $ONELINER$
;      Delete a subdirectory
;  $SYNTAX$
;      FT_RMDIR( <cDirName> ) -> nResult
;  $ARGUMENTS$
;      <cDirName> is the name of the directory to delete.
;  $RETURNS$
;      0  if successful
;      3  if Path Not Found
;      5  if Access Denied (directory not empty)
;      16 if attempt to delete current directory.
;      99 if invalid parameters passed
;  $DESCRIPTION$
;     This function is useful if you need to remove a subdirectory for
;     some reason.
;
;     The source code is written to adhere to Turbo Assembler's IDEAL mode.
;     To use another assembler, you will need to rearrange the PROC and
;     SEGMENT directives, and also the ENDP and ENDS directives (a very
;     minor task).
;  $EXAMPLES$
;     FT_RMDIR( "C:\CLIPPER" )
;     FT_RMDIR( "\EXAMPLE" )
;     FT_RMDIR( "..\SOURCE" )
;  $END$
;


         IDEAL

Public   FT_RmDir

Extrn    _ftDir:Far

Segment  _NanFor   Word      Public    "CODE"
         Assume    CS:_NanFor

Proc     FT_RmDir  Far

         Mov       AH,3Ah                    ; DOS service--remove directory
         Push      AX                        ; Save on stack
         Call      _ftDir                    ; Call generic directory routine
         Add       SP,2                      ; Realign stack
         Ret
Endp     FT_RmDir
Ends     _NanFor
End

