/*
 * File......: SYSMEM.PRG
 * Author....: Glenn Scott
 * Date......: $Date:   02 Apr 1991 18:24:12  $
 * Revision..: $Revision:   1.0  $
 * Log file..: $Logfile:   E:/nanfor/src/sysmem.prv  $
 * 
 * This is an original work by Glenn Scott and is placed in the
 * public domain.
 *
 * Modification history:
 * ---------------------
 *
 * $Log:   E:/nanfor/src/sysmem.prv  $
*  
*     Rev 1.0   02 Apr 1991 18:24:12   GLENN
*  Nanforum Toolkit
 *
 */


/*  $DOC$
 *  $FUNCNAME$
 *     FT_SYSMEM()
 *  $CATEGORY$
 *     DOS/BIOS
 *  $ONELINER$
 *     Determine the amount of conventional memory installed
 *  $SYNTAX$
 *     FT_SYSMEM() -> nMemSize
 *  $ARGUMENTS$
 *     None
 *  $RETURNS$
 *     A numeric corresponding to the number of K memory.
 *  $DESCRIPTION$
 *     FT_SYSMEM() simply reports the amount of convential memory
 *     (up to 640K) installed.
 *
 *     FT_SYSMEM() uses DOS interrupt 12h to get this information.
 *     For information, refer to Peter Norton's _Programmer's Guide
 *     to the IBM PC_ (Brady).
 *
 *  $EXAMPLES$
 *     QOut( "Conventional memory installed: " + Str( FT_SYSMEM() ) + "K" )
 *  $END$
 */

#include "FTINT86.CH"

#define MEMSIZE    18

#ifdef FT_TEST
  FUNCTION MAIN()
  QOut( "Conventional memory: " + str( FT_SYSMEM() ) + "K installed" )
  return ( nil )
#endif

FUNCTION FT_SYSMEM()
  LOCAL aRegs[ INT86_MAX_REGS ]

  aRegs[ AX ] := 0
  FT_INT86( MEMSIZE, aRegs )

RETURN ( aRegs[ AX ] )

